"""add gsc fields

Revision ID: ff94714b6e3e
Revises: 520d7ffe4e06
Create Date: 2024-07-11 19:19:28.709190

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'ff94714b6e3e'
down_revision = '520d7ffe4e06'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('link', schema=None) as batch_op:
        batch_op.add_column(sa.Column('created_at', sa.DateTime(), nullable=True))
        batch_op.add_column(sa.Column('expires_at', sa.DateTime(), nullable=True))
        batch_op.add_column(sa.Column('footer_text', sa.String(), nullable=True))
        batch_op.add_column(sa.Column('footer_link', sa.String(), nullable=True))

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('link', schema=None) as batch_op:
        batch_op.drop_column('footer_link')
        batch_op.drop_column('footer_text')
        batch_op.drop_column('expires_at')
        batch_op.drop_column('created_at')

    # ### end Alembic commands ###
